Subject: Re: linux-next: manual merge of the driver-core tree

From: Greg KH <[email-masked]>
Date: Mon, 21 Jul 2008 20:14:23 -0700

On Tue, Jul 22, 2008 at 10:56:40AM +1000, Stephen Rothwell wrote:
> Hi Greg,
> 
> Today's linux-next merge of the driver-core tree got a conflict in
> drivers/usb/core/devio.c between commit
> e04199b2167e88f0e2d0410fafaa2c35ff7ba8c1 ("usbfs: don't store bad
> pointers in registration") from Linus' tree and commits
> 56d207f2504091e7a173640b91cb39072a2f4542 ("device create: usb: convert
> device_create to device_create_drvdata")
> 0de4509ad6495261fba5ebb539ac6fbb5cf66999 ("device create: usb: convert
> device_create_drvdata to device_create") from the driver-core tree.
> 
> I did the (reasonably obvious) fixup in usb_classdev_add.  Probably worth
> a check when I publish the tree.

If the code builds properly, the merge succeeded :)

I'll look at this as I hit this myself when pushing the USB tree to
Linus.  Now it's down to the driver-core tree having to handle these
fixups...

thanks,

greg k-h